import { ref as A, computed as B, h as P, defineComponent as U, reactive as j, watch as k, onMounted as z, resolveComponent as m, openBlock as g, createElementBlock as D, createVNode as r, unref as p, withCtx as u, createElementVNode as T, createCommentVNode as G, Fragment as $, renderList as q, createBlock as H, createTextVNode as C, toDisplayString as J, pushScopeId as X, popScopeId as ee } from "vue";
import { Card as x, Tree as te, message as E } from "ant-design-vue";
import { useRouter as oe } from "vue-router";
import { C as ae } from "./index.0cfe3caf.js";
import { d as h, n as ne, W as re, h as ue, D as se, p as ie, k as le, _ as ce } from "./index.6b0df3b2.js";
import { W as de } from "./WorkflowBackModal.7779a87e.js";
import { W as me } from "./WorkflowFormRenderDrawer.3ee0cb15.js";
import { W as pe } from "./WorkflowTaskModal.50cdb64e.js";
import "axios";
import "./SanZhiFormRenderOA.b724143b.js";
const I = A([]), W = A([]), f = A([]), R = B(() => f.value.map((n) => n.instanceId)), fe = B(() => f.value.map((n) => n.id));
function _e() {
  return new Promise((o, n) => {
    h("apis").getCategoryTree({ type: "WORKFLOW", parentId: 0 }).then((t) => {
      const { data: i } = t;
      I.value = i, i.length && W.value.push(i[0].id), o(t);
    }).catch((t) => {
      n(t);
    });
  });
}
function ge() {
  return new Promise((o, n) => {
    o([{
      tabName: "\u5DF2\u5B8C\u7ED3",
      tabParam: "1",
      tabTitle: "\u5DF2\u5B8C\u7ED3"
    }, {
      tabName: "\u5DF2\u5F52\u6863",
      tabParam: "3",
      tabTitle: "\u5DF2\u5F52\u6863"
    }]);
  });
}
function he(o) {
  const { archiveStatus: n, instanceRunStatus: t, instanceStatus: i } = o;
  return n ? { color: "success", text: "\u5DF2\u5F52\u6863" } : t === "END" ? { color: "default", text: "\u5DF2\u7EC8\u6B62" } : i ? { color: "processing", text: "\u5DF2\u5B8C\u7ED3" } : { color: "warning", text: "\u672A\u5B8C\u7ED3" };
}
function M(o = {}, n, t = {}) {
  let _ = {
    rowKey: "id",
    columns: [
      {
        title: "\u6807\u9898",
        dataIndex: "title",
        customRender: function({ record: s }) {
          const { flowId: c, instanceId: e, id: b, title: F } = s, v = { flowId: c, instanceId: e, taskId: b };
          return P("span", {
            class: "ant-btn-link pointer",
            onClick: function() {
              ne({ params: v, router: n });
            }
          }, F);
        },
        width: 350
      },
      {
        title: "\u6D41\u7A0B",
        dataIndex: "flowName",
        width: 150,
        ellipsis: !0
      },
      {
        title: "\u5F53\u524D\u6B65\u9AA4",
        dataIndex: "stepName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u5904\u7406\u4EBA",
        dataIndex: "receiverName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u53D1\u8D77\u65E5\u671F",
        dataIndex: "receiveTime",
        width: 190
      },
      {
        title: "\u6D41\u7A0B\u72B6\u6001",
        dataIndex: "instanceStatus",
        customRender: function({ record: s }) {
          const c = he(s);
          return P(re, {
            color: c.color,
            value: c.text
          });
        },
        width: 100
      },
      {
        title: "\u64CD\u4F5C",
        dataIndex: "actions",
        width: 80,
        fixed: "right",
        buttons: [
          {
            title: "\u6D41\u7A0B\u8F68\u8FF9",
            icon: "fund-outlined",
            props: {
              type: "primary"
            },
            key: "record",
            onClick: function(s) {
              o.modal.openModal({ data: s });
            }
          },
          {
            title: "\u5DE5\u4F5C\u4EFB\u52A1",
            icon: "control-outlined",
            props: {
              type: "primary"
            },
            key: "task",
            onClick: function(s) {
              o.taskModal.openModal({ data: s });
            }
          }
        ]
      }
    ],
    rowSelection: {
      onChange: (s, c) => {
        f.value = c;
      },
      selectedRowKeys: fe
    }
  };
  const { tableQuery: y = {} } = t;
  return y.status != "1" && delete _.rowSelection, _;
}
function N(o = {}) {
  const n = o.tableQuery && o.tableQuery.categoryId, t = o.locationQuery || {};
  return {
    formProps: {
      layout: "inline",
      columns: [{
        field: "title",
        label: "\u6807\u9898"
      }, {
        field: "sender",
        label: "\u53D1\u8D77\u4EBA"
      }, {
        field: "timeRange",
        label: "\u65F6\u95F4",
        colAttr: {
          span: 6
        },
        timeRangeFieldNames: {
          startTime: "startTime",
          endTime: "endTime"
        },
        component: "a-range-picker",
        componentProps: {
          style: {
            width: "100%"
          },
          valueFormat: "YYYY-MM-DD"
        }
      }, {
        field: "categoryId",
        label: "\u5DE5\u4F5C\u6D41\u7A0B",
        hide: !t.noTree,
        defaultValue: n || "",
        component: "a-tree-select",
        componentProps: {
          "tree-data": I,
          "field-names": {
            children: "children",
            value: "id",
            label: "name"
          },
          treeDefaultExpandAll: !0
        }
      }]
    }
  };
}
const ye = (o) => (X("data-v-a3c61c5d"), o = o(), ee(), o), be = { class: "workflow-manage" }, Fe = {
  key: 0,
  class: "left"
}, ve = { class: "tree-box" }, we = { class: "right" }, ke = /* @__PURE__ */ ye(() => /* @__PURE__ */ T("p", null, "\u8BF7\u9009\u62E9\u5F52\u6863\u65F6\u95F4\uFF0C\u672A\u9009\u62E9\u65F6\u95F4\u5C06\u4F1A\u5F52\u6863\u5168\u90E8", -1)), De = /* @__PURE__ */ U({
  __name: "SanZhiWorkflowArchive",
  setup(o) {
    const n = oe(), t = {};
    function i(a) {
      t.table = a;
    }
    function _(a) {
      t.modal = a;
    }
    function y(a) {
      t.workflowForm = a;
    }
    function s(a) {
      t.backModal = a;
    }
    function c(a) {
      t.taskModal = a;
    }
    const e = j({
      locationQuery: ue(),
      keyword: "",
      treeData: I,
      fieldNames: {
        children: "children",
        title: "name",
        key: "id"
      },
      selectedKeys: W,
      formProps: N(),
      tableProps: {},
      tabsList: [],
      tableQuery: {
        status: "1"
      },
      tableData: {},
      loading: !1,
      currentEdit: {},
      openNoticeModal: !1,
      notice: {},
      openEditModal: !1,
      isEdit: !1,
      flowId: "",
      archiveTimeRange: []
    });
    e.tableProps = M(t, n, e);
    const b = B(() => !e.locationQuery.noTree);
    k(
      () => e.selectedKeys,
      (a, l) => {
        const w = a[0] || "";
        e.tableQuery.categoryId = w, t.table.reload();
      },
      { deep: !0 }
    ), k(
      () => e.tableQuery.categoryId,
      () => {
        f.value = [];
      }
    ), k(
      () => e.tableQuery.status,
      () => {
        e.tableProps = M(t, n, e), f.value = [];
      }
    );
    function F() {
      return h("apis").getWorkflowTaskInstancePageList;
    }
    async function v() {
      const a = R.value.length;
      if (!a) {
        E.info("\u8BF7\u9009\u62E9\u81F3\u5C11\u4E00\u6761\u6570\u636E");
        return;
      }
      try {
        await le({
          content: `\u786E\u8BA4\u5F52\u6863\u9009\u4E2D\u7684\u6D41\u7A0B\u4E48\uFF0C\u5171\u9009\u4E2D${a}\u6761`
        });
      } catch {
        return;
      }
      h("apis").archiveByInstanceList({ body: R.value }).then(() => {
        E.success("\u5F52\u6863\u6210\u529F");
      });
    }
    async function S() {
      const a = e.archiveTimeRange[0], l = e.archiveTimeRange[1];
      h("apis").archiveByLaunchTime({ startTime: a, endTime: l }).then(() => {
        E.success("\u4E00\u952E\u5F52\u6863\u6210\u529F");
      });
    }
    return z(() => {
      ge().then((a) => {
        e.tabsList = a;
      }), _e().then(() => {
        e.formProps = N(e);
      });
    }), (a, l) => {
      const w = m("a-radio-button"), Q = m("a-radio-group"), K = m("a-range-picker"), L = m("a-menu-item"), Y = m("a-popconfirm"), V = m("a-menu"), Z = m("a-dropdown-button");
      return g(), D("div", be, [
        b.value ? (g(), D("div", Fe, [
          r(p(x), { size: "small" }, {
            default: u(() => [
              T("div", ve, [
                r(p(te), {
                  "tree-data": e.treeData,
                  selectedKeys: e.selectedKeys,
                  "onUpdate:selectedKeys": l[0] || (l[0] = (d) => e.selectedKeys = d),
                  fieldNames: e.fieldNames
                }, null, 8, ["tree-data", "selectedKeys", "fieldNames"])
              ])
            ]),
            _: 1
          })
        ])) : G("", !0),
        T("div", we, [
          r(p(x), { size: "small" }, {
            default: u(() => [
              r(p(ae), {
                api: F(),
                autoGet: !1,
                extraParams: e.tableQuery,
                tableProps: e.tableProps,
                formProps: e.formProps,
                onRegister: i
              }, {
                middle: u(() => [
                  r(Q, {
                    value: e.tableQuery.status,
                    "onUpdate:value": l[1] || (l[1] = (d) => e.tableQuery.status = d),
                    onChange: t.table.reload
                  }, {
                    default: u(() => [
                      (g(!0), D($, null, q(e.tabsList, (d, O) => (g(), H(w, {
                        value: d.tabParam,
                        key: O
                      }, {
                        default: u(() => [
                          C(J(d.tabName), 1)
                        ]),
                        _: 2
                      }, 1032, ["value"]))), 128))
                    ]),
                    _: 1
                  }, 8, ["value", "onChange"])
                ]),
                formRight: u(() => [
                  r(Z, {
                    type: "primary",
                    onClick: v
                  }, {
                    overlay: u(() => [
                      r(V, null, {
                        default: u(() => [
                          r(Y, {
                            placement: "bottom",
                            onConfirm: S
                          }, {
                            title: u(() => [
                              ke,
                              r(K, {
                                value: e.archiveTimeRange,
                                "onUpdate:value": l[2] || (l[2] = (d) => e.archiveTimeRange = d),
                                valueFormat: "YYYY-MM-DD",
                                dropdownClassName: "ponconfim-class"
                              }, null, 8, ["value"])
                            ]),
                            default: u(() => [
                              r(L, { key: "1" }, {
                                default: u(() => [
                                  C("\u4E00\u952E\u5F52\u6863")
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          })
                        ]),
                        _: 1
                      })
                    ]),
                    icon: u(() => [
                      r(p(se))
                    ]),
                    default: u(() => [
                      C(" \u5F52\u6863 ")
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }, 8, ["api", "extraParams", "tableProps", "formProps"])
            ]),
            _: 1
          })
        ]),
        r(ie, { onRegister: _ }),
        r(de, { onRegister: s }),
        r(me, { onRegister: y }),
        r(pe, {
          hideActions: !0,
          onRegister: c
        })
      ]);
    };
  }
});
const Ne = /* @__PURE__ */ ce(De, [["__scopeId", "data-v-a3c61c5d"]]);
export {
  Ne as default
};
