import { ref as k, computed as v, h as I, defineComponent as Y, reactive as O, watch as D, onMounted as Z, resolveComponent as f, openBlock as E, createElementBlock as B, createVNode as n, unref as m, withCtx as r, createElementVNode as x, createCommentVNode as j, Fragment as z, renderList as G, createBlock as $, createTextVNode as y, toDisplayString as q } from "vue";
import { Card as T, Tree as H, Button as J, message as g } from "ant-design-vue";
import { useRouter as X } from "vue-router";
import { C as ee } from "./index.0cfe3caf.js";
import { d as p, n as te, W as ae, h as oe, D as ue, p as ne, k as F, _ as re } from "./index.6b0df3b2.js";
import { W as se } from "./WorkflowBackModal.7779a87e.js";
import { W as le } from "./WorkflowFormRenderDrawer.3ee0cb15.js";
import "axios";
import "./SanZhiFormRenderOA.b724143b.js";
const A = k([]), R = k([]), b = k([]), N = v(() => b.value.map((u) => u.instanceId)), ie = v(() => b.value.map((u) => u.id));
function ce() {
  return new Promise((o, u) => {
    p("apis").getCategoryTree({ type: "WORKFLOW", parentId: 0 }).then((a) => {
      const { data: s } = a;
      A.value = s, s.length && R.value.push(s[0].id), o(a);
    }).catch((a) => {
      u(a);
    });
  });
}
function de() {
  return new Promise((o, u) => {
    o([{
      tabName: "\u5168\u90E8",
      tabParam: "",
      tabTitle: "\u5168\u90E8"
    }, {
      tabName: "\u5DF2\u5B8C\u7ED3",
      tabParam: "1",
      tabTitle: "\u5DF2\u5B8C\u7ED3"
    }, {
      tabName: "\u672A\u5B8C\u7ED3",
      tabParam: "0",
      tabTitle: "\u672A\u5B8C\u7ED3"
    }, {
      tabName: "\u5DF2\u7EC8\u6B62",
      tabParam: "2",
      tabTitle: "\u5168\u90E8\u72B6\u6001"
    }, {
      tabName: "\u5DF2\u5F52\u6863",
      tabParam: "3",
      tabTitle: "\u5DF2\u5F52\u6863"
    }]);
  });
}
function me(o) {
  const { archiveStatus: u, instanceRunStatus: a, instanceStatus: s } = o;
  return u ? { color: "success", text: "\u5DF2\u5F52\u6863" } : a === "END" ? { color: "default", text: "\u5DF2\u7EC8\u6B62" } : s ? { color: "processing", text: "\u5DF2\u5B8C\u7ED3" } : { color: "warning", text: "\u672A\u5B8C\u7ED3" };
}
function pe(o = {}, u) {
  return {
    rowKey: "id",
    columns: [
      {
        title: "\u6807\u9898",
        dataIndex: "title",
        customRender: function({ record: l }) {
          const { flowId: i, instanceId: _, id: e, title: h } = l, w = { flowId: i, instanceId: _, taskId: e };
          return I("span", {
            class: "ant-btn-link pointer",
            onClick: function() {
              te({ params: w, router: u });
            }
          }, h);
        },
        width: 350
      },
      {
        title: "\u6D41\u7A0B",
        dataIndex: "flowName",
        width: 150,
        ellipsis: !0
      },
      {
        title: "\u5F53\u524D\u6B65\u9AA4",
        dataIndex: "stepName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u5904\u7406\u4EBA",
        dataIndex: "receiverName",
        width: 100,
        ellipsis: !0
      },
      {
        title: "\u53D1\u8D77\u65E5\u671F",
        dataIndex: "receiveTime",
        width: 190
      },
      {
        title: "\u6D41\u7A0B\u72B6\u6001",
        dataIndex: "instanceStatus",
        customRender: function({ record: l }) {
          const i = me(l);
          return I(ae, {
            color: i.color,
            value: i.text
          });
        },
        width: 100
      },
      {
        title: "\u64CD\u4F5C",
        dataIndex: "actions",
        width: 60,
        fixed: "right",
        buttons: [
          {
            title: "\u6D41\u7A0B\u8F68\u8FF9",
            icon: "fund-outlined",
            props: {
              type: "primary"
            },
            key: "record",
            onClick: function(l) {
              o.modal.openModal({ data: l });
            }
          }
        ]
      }
    ],
    rowSelection: {
      onChange: (l, i) => {
        b.value = i;
      },
      selectedRowKeys: ie
    }
  };
}
function M(o = {}) {
  const u = o.tableQuery && o.tableQuery.categoryId, a = o.locationQuery || {};
  return {
    formProps: {
      layout: "inline",
      columns: [{
        field: "title",
        label: "\u6807\u9898"
      }, {
        field: "sender",
        label: "\u53D1\u8D77\u4EBA"
      }, {
        field: "timeRange",
        label: "\u65F6\u95F4",
        colAttr: {
          span: 6
        },
        timeRangeFieldNames: {
          startTime: "completedStartTime",
          endTime: "completedEndTime"
        },
        component: "a-range-picker",
        componentProps: {
          style: {
            width: "100%"
          },
          valueFormat: "YYYY-MM-DD"
        }
      }, {
        field: "categoryId",
        label: "\u5DE5\u4F5C\u6D41\u7A0B",
        hide: !a.noTree,
        defaultValue: u || "",
        component: "a-tree-select",
        componentProps: {
          "tree-data": A,
          "field-names": {
            children: "children",
            value: "id",
            label: "name"
          },
          treeDefaultExpandAll: !0
        }
      }]
    }
  };
}
const fe = { class: "workflow-manage" }, ye = {
  key: 0,
  class: "left"
}, be = { class: "tree-box" }, Ee = { class: "right" }, ge = /* @__PURE__ */ Y({
  __name: "SanZhiWorkflowMine",
  setup(o) {
    const u = X(), a = {};
    function s(t) {
      a.table = t;
    }
    function l(t) {
      a.modal = t;
    }
    function i(t) {
      a.workflowForm = t;
    }
    function _(t) {
      a.backModal = t;
    }
    const e = O({
      locationQuery: oe(),
      keyword: "",
      treeData: A,
      fieldNames: {
        children: "children",
        title: "name",
        key: "id"
      },
      selectedKeys: R,
      formProps: M(),
      tableProps: pe(a, u),
      tabsList: [],
      tableQuery: {
        status: ""
      },
      tableData: {},
      loading: !1,
      currentEdit: {},
      openNoticeModal: !1,
      notice: {},
      openEditModal: !1,
      isEdit: !1,
      flowId: ""
    }), h = v(() => !e.locationQuery.noTree);
    D(
      () => e.selectedKeys,
      (t, c) => {
        const C = t[0] || "";
        e.tableQuery.categoryId = C, a.table.reload();
      },
      { deep: !0 }
    ), D(
      () => e.tableQuery.categoryId,
      () => {
        b.value = [];
      }
    ), D(
      () => e.tableQuery.status,
      () => {
        b.value = [];
      }
    );
    function w() {
      return p("apis").getWorkflowTaskInstanceLaunchPageList;
    }
    function W() {
      const t = a.table.getParams();
      e.loading = !0, p("apis").getWorkflowTaskInstanceLaunchExportExcel({ ...t }).then((c) => {
      }).finally(() => {
        e.loading = !1;
      });
    }
    async function L() {
      const t = N.value.length;
      if (!t) {
        g.info("\u8BF7\u9009\u62E9\u81F3\u5C11\u4E00\u6761\u6570\u636E");
        return;
      }
      try {
        await F({
          content: `\u786E\u8BA4\u50AC\u529E\u9009\u4E2D\u7684\u6D41\u7A0B\u4E48\uFF0C\u5171\u9009\u4E2D${t}\u6761`
        });
      } catch {
        return;
      }
      p("apis").remindMyLaunchByInstanceList({ body: N.value }).then(() => {
        g.success("\u50AC\u529E\u6210\u529F");
      });
    }
    async function Q({ key: t }) {
      if (t === "1") {
        try {
          await F({
            content: "\u786E\u8BA4\u4E00\u952E\u50AC\u529E\u4E48"
          });
        } catch {
          return;
        }
        p("apis").remindMyLaunchByInstanceList({ body: null }).then(() => {
          g.success("\u4E00\u952E\u50AC\u529E\u6210\u529F");
        });
        return;
      }
      try {
        await F({
          content: "\u786E\u8BA4\u4E00\u952E\u50AC\u529E\u4E0B\u4E00\u6B65\u4E48"
        });
      } catch {
        return;
      }
      p("apis").remindMyLaunchWaitByInstanceList({ body: null }).then(() => {
        g.success("\u4E00\u952E\u50AC\u529E\u4E0B\u4E00\u6B65\u6210\u529F");
      });
    }
    return Z(() => {
      de().then((t) => {
        e.tabsList = t;
      }), ce().then(() => {
        e.formProps = M(e);
      });
    }), (t, c) => {
      const C = f("a-radio-button"), S = f("a-radio-group"), P = f("a-menu-item"), K = f("a-menu"), V = f("a-dropdown-button");
      return E(), B("div", fe, [
        h.value ? (E(), B("div", ye, [
          n(m(T), { size: "small" }, {
            default: r(() => [
              x("div", be, [
                n(m(H), {
                  "tree-data": e.treeData,
                  selectedKeys: e.selectedKeys,
                  "onUpdate:selectedKeys": c[0] || (c[0] = (d) => e.selectedKeys = d),
                  fieldNames: e.fieldNames
                }, null, 8, ["tree-data", "selectedKeys", "fieldNames"])
              ])
            ]),
            _: 1
          })
        ])) : j("", !0),
        x("div", Ee, [
          n(m(T), { size: "small" }, {
            default: r(() => [
              n(m(ee), {
                api: w(),
                autoGet: !1,
                extraParams: e.tableQuery,
                tableProps: e.tableProps,
                formProps: e.formProps,
                onRegister: s
              }, {
                middle: r(() => [
                  n(S, {
                    value: e.tableQuery.status,
                    "onUpdate:value": c[1] || (c[1] = (d) => e.tableQuery.status = d),
                    onChange: a.table.reload
                  }, {
                    default: r(() => [
                      (E(!0), B(z, null, G(e.tabsList, (d, U) => (E(), $(C, {
                        value: d.tabParam,
                        key: U
                      }, {
                        default: r(() => [
                          y(q(d.tabName), 1)
                        ]),
                        _: 2
                      }, 1032, ["value"]))), 128))
                    ]),
                    _: 1
                  }, 8, ["value", "onChange"])
                ]),
                formRight: r(() => [
                  n(m(J), {
                    type: "primary",
                    onClick: W,
                    loading: e.loading
                  }, {
                    default: r(() => [
                      y(" \u5BFC\u51FA ")
                    ]),
                    _: 1
                  }, 8, ["loading"]),
                  n(V, {
                    type: "danger",
                    onClick: L
                  }, {
                    overlay: r(() => [
                      n(K, { onClick: Q }, {
                        default: r(() => [
                          n(P, { key: "1" }, {
                            default: r(() => [
                              y("\u4E00\u952E\u50AC\u529E")
                            ]),
                            _: 1
                          }),
                          n(P, { key: "2" }, {
                            default: r(() => [
                              y("\u4E00\u952E\u50AC\u529E\u4E0B\u4E00\u6B65")
                            ]),
                            _: 1
                          })
                        ]),
                        _: 1
                      })
                    ]),
                    icon: r(() => [
                      n(m(ue))
                    ]),
                    default: r(() => [
                      y(" \u50AC\u529E ")
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }, 8, ["api", "extraParams", "tableProps", "formProps"])
            ]),
            _: 1
          })
        ]),
        n(ne, { onRegister: l }),
        n(se, { onRegister: _ }),
        n(le, { onRegister: i })
      ]);
    };
  }
});
const Ae = /* @__PURE__ */ re(ge, [["__scopeId", "data-v-a143089c"]]);
export {
  Ae as default
};
